#ifndef PTOOLS_H
#define PTOOLS_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif /* HAVE_CONFIG_H */

#ifndef HAVE_STRDUP
extern char *strdup(const char *str);
#endif /* HAVE_STRDUP */

#ifndef HAVE_SNPRINTF
extern int snprintf (char *str, size_t count, const char *fmt, ...);
#endif /* HAVE_SNPRINTF */

#ifdef MIN
#undef MIN
#endif /* MIN */
#define MIN(x, y) ((x) < (y) ? (x) : (y))

#ifdef MAX
#undef MAX
#endif /* MAX */
#define MAX(x, y) ((x) > (y) ? (x) : (y))

#define WHITESPACE      " \n\t\v\f\r"

#endif /* PTOOLS_H */
