#include "mpi.h"
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif /* HAVE_CONFIG_H */

int main(int argc, char *argv[])
{
	int rank, status = 0, global_status;
	
	MPI_Init(&argc, &argv);
	MPI_Comm_rank(MPI_COMM_WORLD, &rank);

    status = system(argv[1]);

	MPI_Allreduce(&status, &global_status, 1, MPI_INT, PT_OP, MPI_COMM_WORLD);
    if (rank == 0)
        printf("%d\n", global_status);
	
	MPI_Finalize();
	return 0;
}
