#include <stdio.h>
#include <stdarg.h>
#include "debug.h"
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif /* HAVE_CONFIG_H */

#ifdef DEBUG
int pt_debug(const char *fmt, ...)
{
	va_list ap;

	va_start(ap, fmt);

	return vfprintf(stderr, fmt, ap);
}
#else
int pt_debug(const char *fmt, ...)
{
	return 0;
}
#endif
