#ifndef LIST_H
#define LIST_H

typedef struct list_node {
	void *data;
	size_t size;
	struct list_node *next;
} list_node_t ;

typedef struct list {
	size_t size;
	list_node_t *head, *tail;
} list_t;

extern list_t *list_create();
extern int list_add(list_t *, void *, size_t);
extern void list_destroy(list_t *);

#endif /* LIST_H */
