#include <stdio.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <fcntl.h>
#include <unistd.h>

/*
 
   A really crumby checksum program in case the system doesn't have md5sum.
   
 */

int main(int argc, char *argv[])
{
	int fd;
	char c, t = '\0';

	if (argc < 2){
		fprintf(stderr, "usage: checksum <filename>\n");
		return 1;
	}

	fd = open(argv[1], O_RDONLY);
	if (fd < 0){
		perror("");
		return 1;
	}

	while (read(fd, &c, sizeof(c)) > 0){
		t += c;
	}

	printf("%d\n", t);

	return 0;
}
